IGPIO(4)

NAME
igpio - Intel GPIO Controller

SYNOPSIS
igpio* at acpi?
gpio* at gpiobus?

DESCRIPTION
igpio provides a gpio(4) interface for the following Intel chipsets:
Alder Lake-N
Alder Lake-P
Alder Lake-S
Cannon Lake-H
Cannon Lake-LP
Cedarfork
Coffee Lake-S
Denverton
Emmitsburg
Gemini Lake
Ice Lake-LP
Ice Lake-N
Jasper Lake
Lakefield
Lewisburg
Raptor Lake-S
Sunrisepoint-H
Sunrisepoint-LP
Tiger Lake-H
Tiger Lake-LP
Support for Baytrail, Broxton, Cherryview and Lynxpoint are not enabled yet.

The driver supports GPIO_PIN_INPUT, GPIO_PIN_OUTPUT, GPIO_PIN_INOUT, GPIO_PIN_ININ, GPIO_PIN_PULLUP, GPIO_PIN_PULLDOWN, and interrupt capabilies GPIO_INTR_POS_EDGE, GPIO_INTR_NEG_EDGE, GPIO_INTR_DOUBLE_EDGE, GPIO_INTR_HIGH_LEVEL, GPIO_INTR_LOW_LEVEL.

SEE ALSO
gpio(4)

HISTORY
The igpio driver first appeared in NetBSD 10.0.

AUTHORS
-nosplit The igpio driver and man page was written by Emmanuel Dreyfus <manu@NetBSD.org>.